Bug 79921 - Using 'cat' as DECOMPRESSOR is a bad idea
Using 'cat' as DECOMPRESSOR is a bad idea
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: less (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-17 21:07 EST by Enrico Scholz
Modified: 2007-04-18 12:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-18 06:04:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2002-12-17 21:07:19 EST
Description of problem:

Current  /usr/bin/lesspipe.sh contains a default case of

|  *)
|        case "$1" in
|                ...
|                *)      DECOMPRESSOR="cat" ;;
|        esac

This breaks a lot of less's functions. E.g. the 'v' key does not work anymore,
or the 'F' key does not display new data. I suggest to remove this line and/or
unset the DECOMPRESSOR instead of.



Version-Release number of selected component (if applicable):

less-378-2


How reproducible:

100%


Steps to Reproduce:
1. less /var/log/messages
2. Press 'v'
3. Press 'F'
    

Actual results:

at 2: "Cannot edit file processed with LESSOPEN  (press RETURN)" message
at 3: New data will not be displayed


Expected results:

at 2: $EDITOR with will be opened
at 3: New data will be displayed
Comment 1 Karsten Hopp 2002-12-18 06:04:03 EST
Fixed in -3. 

Note You need to log in before you can comment on or make changes to this bug.